# PFApplyVec

Applies the mathematical function to a vector

### Synopsis

    #include "petscpf.h"
    PetscErrorCode PETSCVEC_DLLEXPORT PFApplyVec(PF pf,Vec x,Vec y)

Collective on PF

### Input Parameters

| pf | - the function context
| x | - input vector (or PETSC_NULL for the vector (0,1, .... N-1)

### Output Parameter

y -output vector

### Keywords

PF, apply

### See Also

PFApply(), PFCreate(), PFDestroy(), PFSetType(), PFSet()

Level:beginner
Location: src/vec/pf/interface/pf.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html
src/dm/da/examples/tutorials/ex4.c.html